- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetNestedPlaybookParams#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetNestedPlaybookParams#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetNestedPlaybookParams#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetNestedPlaybookParams#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetNestedPlaybookParams#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetNestedPlaybookParams#body.ApiNestedPlaybookParamsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetNestedPlaybookParams#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetNestedPlaybookParams#body.aspect_1)

**Full name**: projects.locations.instances.legacyPlaybooks.legacyGetNestedPlaybookParams

Returns the input parameter definitions for a specified modular playbook block. Use this method to understand the data requirements for integrating a nested workflow.

### HTTP request

`GET https://{endpoint}/v1alpha/{instance}/legacyPlaybooks:legacyGetNestedPlaybookParams`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `instance` | `string` Required. The instance to get the nested playbook params for. Format: projects/{project}/locations/{location}/instances/{instance} |

### Query parameters

| Parameters ||
|---|---|
| `workflowIdentifier` | `string` Required. The nested playbook identifier. |

### Request body

The request body must be empty.

### Response body

ApiNestedPlaybookParamsResponse represents the parameters of a nested playbook.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "inputParameters": [ string ], "outputParameters": [ string ], "actionResults": [ string ] } ``` |

| Fields ||
|---|---|
| `inputParameters[]` | `string` Optional. InputParameters is a list of input parameters. |
| `outputParameters[]` | `string` Optional. OutputParameters is a list of output parameters. |
| `actionResults[]` | `string` Optional. ActionResults is a list of action results. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `instance` resource:

- `chronicle.legacyPlaybooks.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).